> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contentsresourcesupload 

> Retrieve a previously stored
resource via the .upload() method

Note: This endpoint do not cache anything
Caching is done on rendering side



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/contents-api get /contents/resources/upload/{namespace}/{identifier}
openapi: 3.0.0
info:
  title: contents-api
  version: f9a1b334ed88c96ed84665c78dcdba64fc9f2b14
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /contents/resources/upload/{namespace}/{identifier}:
    get:
      tags:
        - ContentResource
      description: |-
        Retrieve a previously stored
        resource via the .upload() method

        Note: This endpoint do not cache anything
        Caching is done on rendering side
      operationId: get-uploaded-content-resource
      parameters:
        - name: namespace
          in: path
          schema:
            type: string
            description: Resource namespace
          required: true
        - name: identifier
          in: path
          schema:
            type: string
            description: Resource identifier
          required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Readable'
      security:
        - password_auth: []
components:
  schemas:
    Readable:
      type: object
      properties:
        readableAborted:
          type: boolean
          readOnly: true
        readable:
          type: boolean
        readableDidRead:
          type: boolean
          readOnly: true
        readableEncoding:
          oneOf:
            - type: string
              enum:
                - ascii
            - type: string
              enum:
                - utf8
            - type: string
              enum:
                - utf-8
            - type: string
              enum:
                - utf16le
            - type: string
              enum:
                - utf-16le
            - type: string
              enum:
                - ucs2
            - type: string
              enum:
                - ucs-2
            - type: string
              enum:
                - base64
            - type: string
              enum:
                - base64url
            - type: string
              enum:
                - latin1
            - type: string
              enum:
                - binary
            - type: string
              enum:
                - hex
          nullable: true
          readOnly: true
        readableEnded:
          type: boolean
          readOnly: true
        readableFlowing:
          type: boolean
          nullable: true
          readOnly: true
        readableHighWaterMark:
          type: number
          readOnly: true
        readableLength:
          type: number
          readOnly: true
        readableObjectMode:
          type: boolean
          readOnly: true
        destroyed:
          type: boolean
        closed:
          type: boolean
          readOnly: true
        errored:
          allOf:
            - $ref: '#/components/schemas/Error'
          nullable: true
          readOnly: true
      required:
        - readableAborted
        - readable
        - readableDidRead
        - readableEncoding
        - readableEnded
        - readableFlowing
        - readableHighWaterMark
        - readableLength
        - readableObjectMode
        - destroyed
        - closed
        - errored
      additionalProperties: false
    Error:
      type: object
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        cause:
          $ref: '#/components/schemas/AnyValue'
      required:
        - name
        - message
      additionalProperties: false
    AnyValue:
      description: Can be any value
      nullable: true
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````